CifParserInt.h File Reference

Header file for bison interfacing to CifParser class. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | STOP_PARSING 2

## Functions

void | ProcessAssignmentsFromParser ()
int | ProcessItemValuePairFromParser ()
int | ProcessLoopDeclarationFromParser ()
void | ProcessLoopFromParser ()
int | ProcessItemNameListFromParser ()
int | ProcessValueListFromParser ()
void | ProcessItemNameFromParser ()
void | ProcessItemValueFromParser ()
void | ProcessLsItemValueFromParser ()
void | ProcessUnknownValueFromParser ()
void | ProcessMissingValueFromParser ()
void | ProcessDataBlockNameFromParser ()
void | cifparser_error (const char *)

## Variables

char * | Glob_tBufKeyword
char * | Glob_pBufValue
char * | Glob_dataBlockName

## Detailed Description

Header file for bison interfacing to CifParser class.

## Macro Definition Documentation

#define STOP_PARSING 2

## Function Documentation

void cifparser_error | ( | const char * | ) |  |

void ProcessAssignmentsFromParser | ( | ) |  |

void ProcessDataBlockNameFromParser | ( | ) |  |

void ProcessItemNameFromParser | ( | ) |  |

int ProcessItemNameListFromParser | ( | ) |  |

void ProcessItemValueFromParser | ( | ) |  |

int ProcessItemValuePairFromParser | ( | ) |  |

int ProcessLoopDeclarationFromParser | ( | ) |  |

void ProcessLoopFromParser | ( | ) |  |

void ProcessLsItemValueFromParser | ( | ) |  |

void ProcessMissingValueFromParser | ( | ) |  |

void ProcessUnknownValueFromParser | ( | ) |  |

int ProcessValueListFromParser | ( | ) |  |

## Variable Documentation

char* Glob_dataBlockName

char* Glob_pBufValue

char* Glob_tBufKeyword